commit d828a97c003f82fc7bd62e128a6b49c9fef63187
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jan 4 00:24:17 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 39a15df0cdc..d01f0cb4cc9 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250103
+20250104
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index b64b9fb2d7d..aeec0b7d6ad 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2025-01-03  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2024-12-29  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/100358
+	PR c++/115008
+	* module.cc (elf_out::create_mapping): Fallback to ftruncate if
+	posix_fallocate fails.
+
 2024-12-23  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

